﻿@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("_PartialScriptExportOrderHeaderMaster")

<div class="content" style = "padding:15px;">
<table width="100%">
        <tr>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "PD Code";
                    }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().ComboBox(
                    combo =>
                    {
                        combo.Name = "PDCode";
                        combo.Width = 100;
                        combo.SelectedIndex = -1;
                        combo.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        combo.CallbackRouteValues = new { Controller = "ExportOrderHeaderMaster", Action = "ComboPDCode" };
                        combo.Properties.TextField = "PD_CD";
                        combo.Properties.ValueField = "PD_CD";
                    }).BindList(ViewData["PD_CD"]).GetHtml()
            </td>
            <td ></td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Buyer Code";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().ComboBox(
                    combo =>
                    {
                        combo.Name = "BuyerCode";
                        combo.Width = 100;
                        combo.SelectedIndex = -1;
                        combo.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        combo.CallbackRouteValues = new { Controller = "ExportOrderHeaderMaster", Action = "ComboBuyerCode" };
                        combo.Properties.TextField = "BUYER_CD";
                        combo.Properties.ValueField = "BUYER_CD";
                    }).BindList(ViewData["BUYER_CD"]).GetHtml()
            </td>
            <td ></td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Order Number";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().TextBox(
                    textbox =>
                    {
                        textbox.Name = "OrderNo";
                        textbox.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        textbox.Width = 100;
                    }).GetHtml()
            </td>
            <td ></td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Order Date From";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "OrderDateFrom";
                  settings.Width = 100;
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.DisplayFormatString = "yyyy-MM-dd";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.EditFormatString = "yyyyMMdd";
                  settings.Properties.ClientSideEvents.ValueChanged = "ValidFrom_OnChanged";
              }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "To";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "OrderDateTo";
                  settings.Width = 100;
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.DisplayFormatString = "yyyy-MM-dd";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.EditFormatString = "yyyyMMdd";
              }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "KeyDownload";
                    settings.Text = "";
                    settings.ClientVisible = false;
                }).GetHtml()
            </td>
            <td style="width:100px"></td>
            <td align="right" style="width:80px">
                @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "cmdSearch";
                    button.Text = "Search";
                    button.Width = 80;
                    button.ClientSideEvents.Click = "OnSearch";
                    button.UseSubmitBehavior = true;
                    button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ExportOrderHeaderMaster", "FTR-SPEX-124-01", "SEARCH");
                     
                }).GetHtml()
                </td>
                <td align="right" style="width:80px">
                @Html.DevExpress().Button(
                   button =>
                   {
                       button.Name = "cmdClear";
                       button.Text = "Clear";
                       button.Width = 80;
                       button.ClientSideEvents.Click = "OnClear";
                       button.UseSubmitBehavior = true;
                       button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ExportOrderHeaderMaster", "FTR-SPEX-124-01", "CLEAR");
                    
                   }
                      ).GetHtml()
            </td>
        </tr>
        <tr>
            <td colspan="18">
                <hr />
            </td>
        </tr>
    </table>
    <table border="0">
        <tr>
            <td style="width: 10%">
                @Html.DevExpress().Button(
            download =>
            {
                download.Name = "cmdDownload";
                download.Width = 80;
                download.Text = "Download";
                download.ClientSideEvents.Click = "DownloadData";
                download.Style.Add("display", "inline-table");
                download.UseSubmitBehavior = true;
                download.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ExportOrderHeaderMaster", "FTR-SPEX-124-03", "DOWNLOAD");
             }
                ).GetHtml()
            </td>
            @*<td style="width: 10%" colspan="16">
            @Html.DevExpress().Button(
            download =>
                {
                    download.Name = "cmdSync";
                    download.Width = 80;
                    download.Text = "Synchronize";
                    download.ClientSideEvents.Click = "SynchronizeData";
                    download.Style.Add("display", "inline-table");
                    download.UseSubmitBehavior = true;
                }
                ).GetHtml()
        </td>*@
        </tr>
    </table>
</div>

<div style ="padding: 0px;"> </div>
<div class="content" style="min-height: 400px">
    @Html.Partial("GridExportOrderHeaderMaster")
</div>
